{% extends 'partials/base.html.twig' %}
{% set about = pages.find("/context") %}
{% set path = (page.parent.slug != "history") ? "" : "../" %}
{% block body %}
<main>
	<section id="poster">
		<section class="resources">
			{% for resource in page.children %}
			<div class="resource {{ resource.template }} {{ resource.header.contributor|hyphenize }}" id="{{ resource.slug }}">
				<header>
					<h2>{{ resource.header.title }}</h2>
					{% if resource.header.type or resource.header.year or resource.header.url or resource.header.authors %}
						<ul class="general">
							{% if resource.header.type %}<li class="type">{{ resource.header.type }}</li>{% endif %}
							{% if resource.header.year %}<li class="year">{{ resource.header.year }}</li>{% endif %}
							{% if resource.header.url %}<li class="url"><a href="{{ resource.header.url }}">{{ resource.header.url }}</a></li>{% endif %}
							{% if resource.header.authors %}
								<ul class="authors">
									{% for author in resource.header.authors %}
										<li><a href="{{ author.url }}">{{ author.name }}</a></li>
									{% endfor %}
								</ul>
							{% endif %}
						</ul>
					{% endif %}
					{{ resource.header.description|markdown }}
				</header>
				{% if resource.template == "object" %}
				{% if resource.header.height or resource.header.width or resource.header.materials %}
					<ul class="details">
						{% if resource.header.height or resource.header.width %}
							<li class="dimensions">
								{{ resource.header.height }} {% if resource.header.width %}x {{ resource.header.width}}{% endif %}cm
							</li>
						{% endif %}
						{% if resource.header.materials %}
							<li class="materials">{{ resource.header.materials }}</li>
						{% endif %}
					</ul>
					{% endif %}
				{% endif %}
				{% if resource.template == "tool" and resource.header.languages %}
					<ul class="details">
						<li>{{ resource.header.languages }}</li>
					</ul>
				{% endif %}
				{% if resource.header.images %}
				<div class="images">
					{% for image in resource.header.images %}
						<div class="image">
							{% set imgPath = (page.parent.route == config.plugins.padtocss.historyRoute) ? "../user/pages/" ~ page.parent.folder  ~ "/"  ~ page.folder  ~ "/"  ~ resource.folder  ~ "/"  ~ image.name : "user/pages/" ~ page.folder  ~ "/"  ~ resource.folder  ~ "/"  ~ image.name  %}
							<img src="{{ imgPath }}">
						</div>
					{% endfor %}
				</div>
				{% endif %}
			</div>
			{% endfor %}
		</section>
		<section id="colophon">
			{% if about.header.title %}
				<h1>{{ about.header.title }}</h1>
			{% endif %}
			{% if about.header.date %}
				<h2>{{ about.header.date|date('d.m.y') }}</h2>
			{% endif %}
			{% if about.header.town and about.header.countryCode %}
				<h3>{{ about.header.town|trim }}, {{ about.header.countryCode }}</h3>
			{% endif %}
			{% if about.header.description %}
			<div class="description">
				{{ about.header.description|markdown }}
			</div>
			{% endif %}
			{% if about.header.participants %}
			<div class="participants">
				Avec {{ about.header.participants|markdown }}
			</div>
			{% endif %}
		</section>
	</section>
	{% if page.home %}
	<section id="pad">
		<iframe name="embed_readwrite" src="{{ config.plugins.padtocss.padUrl }}?showControls=true&showChat=false&showLineNumbers=true&useMonospaceFont=true"></iframe>
	</section>
	<section id="buttons">
		{% if config.plugins.padtocss.historyMode %}
			<div class="button" id="backup">Back Up</div>
			<form method="POST" action="{{ page.url }}{{ config.plugins.padtocss.historyRoute }}" class="hidden" id="formCommit">
				<div>
					<div>
						<label for="person">Person</label>
						<input type="text" name="person" id="person">
					</div>
					<div>
						<label for="person">Commit</label>
						<textarea name="commit" id="commit"></textarea>
					</div>
				</div>
				<input type="number" name="timestamp" value="{{ 'now'|date('U') }}" class="hidden">
				<input type="submit" class="button" value="Save" id="save">
			</form>
		{% endif %}
		<div class="button" id="print">Print</div>
		<div class="button" id="refresh">Refresh</div>
	</section>
	{% endif %}
	{% if page.parent.template == "history" %}
		<section id="log">
			{{ page.header.timestamp|date('d.m.y, G.i') }} - {{ page.header.commit }} - {{ page.header.person }}
		</section>
	{% endif %}
</main>
{% endblock %}